%%%% q-parameter at aperture
q = 1187.48 + 1i * 4009.39 ;
%%%%

%%% beam
% wavelength [m]
lam = 1.064e-6 ;
% waist position [m]
z0 = 0.0 ;
% waist radius [m]
w0 = sqrt( lam / pi * imag(q) ) ;

%%% aperture
% aperture position [m]
za = z0 + real(q) ;
% aperture diameter [m]
da = 0.074 ;

%%% observation point [m]
zs = za + 15 ;


%% Coupling coefficient calculation
% max order to calculate
N = 100;
C = (0:N)';

for i=1:N+1
    func = @(r) 2*pi*r .* conj( LGmodeM0(i-1,lam,z0,w0,r,za) ) .* LGmodeM0(0,lam,z0,w0,r,za) ;
    C(i) = integral(func,0,da/2) ;
    i
end

%% Beam profile calculation
% calculation point
r = (0:0.00001:0.1)' ;

DiffProf = r*0 ;
for i = 1:length(r)
    DiffProf(i) = DiffractionProfile(lam,z0,w0,za,0.074,r(i),zs) ;
    i
end

%%
clear N func i
