function E = DiffractionProfile(lam,z0,w0,za,da,r,z)
%%% diffraction beam profile after through a finite aperture
% input beam : wavelength = lam , waist position = z0 , waist radius = r0
% aperture : position = za , diameter = da
% output beam profile : observation position = z

% reference : Anthony E. Siegman, "LASERS", University Science Books, p.727 eq(44)

func = @(ra) LGmodeM0(0,lam,z0,w0,ra,za) .* exp( -1i*pi*ra.^2/(z-za)/lam ) .* ra .* besselj(0,2*pi*ra/(z-za)/lam*r)  ;    
E = 2*pi*1i ./(z-za)/lam .* exp( -1i*pi*r.^2./(z-za)/lam ) .* integral(func,0,da/2) ;

end
